<?php

use yii\helpers\Html;
use yii\grid\GridView;
use backend\models\Users;
/* @var $this yii\web\View */
/* @var $searchModel app\models\UsersSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Users';
$this->params['breadcrumbs'][] = $this->title;
?>
<style>
 
    .alert{margin-top: 10px; float: left; width: 100%; clear:both;}
</style>
<div class="users-index ">

   
    <div class="col-md-10">
    <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>
    <p>
        <?= Html::a('Create Users', ['create'], ['class' => 'btn btn-success']) ?>
        <?= Html::a('Refresh', ['index'], ['class' => 'pull-right btn btn-success']) ?>
    </p>
     <?php if (Yii::$app->session->hasFlash('success')): ?>
        <div class="alert alert-success">
             <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
            <?php echo Yii::$app->session->getFlash('success'); ?>
        </div>
     <?php endif; ?>
    <?php if (Yii::$app->session->hasFlash('error')): ?>
        <div class="alert alert-error">
             <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
            <?php echo Yii::$app->session->getFlash('error'); ?>
        </div>
     <?php endif; ?>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

           // 'UserId',
            'FirstName',
            'LastName',
           // 'PhoneNumber',
            'Email:email',  
            [
                'attribute'=>'Role',
                 'filter'=> Users::getroletatuss(),
                 'value'=>function($data){           
                    return $data->Role;                    
                    },
            ],
           
            // 'Admin',
            // 'Updated_at',
            // 'Created_at',

            ['class' => 'yii\grid\ActionColumn', 'template' => '{update} {delete}',],
        ],
    ]); ?>
</div>
</div>
