<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use backend\models\UploadCsv;

$this->title = 'Correct TN Prices PDF';
$this->params['breadcrumbs'][] = $this->title;

?>

<div class="orders-upload">
<div class="col-lg-12">
    <?php if(Yii::$app->session->hasFlash('success')): ?>
        <div class="alert alert-success" role="alert">
            <?= Yii::$app->session->getFlash('success') ?>
        </div>
    <?php endif; ?>
</div>
	<div class="col-md-10">
		<h1><?= Html::encode($this->title) ?></h1>
		<div class="orders-form">
	   <?php $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data']]) ?>

		<?= $form->field($model, 'pdfFile')->fileInput() ?>

		<div class="form-group">
			<?= Html::submitButton('Upload', ['class' => 'btn btn-success']) ?>
		</div>

		<?php ActiveForm::end(); ?>
		</div>
	</div>
</div>
