<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use backend\models\Users;
/* @var $this yii\web\View */
/* @var $model app\models\Users */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="users-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'FirstName')->textInput(['maxlength' => true,'AutoComplete'=>'off']) ?>
    <?= $form->field($model, 'LastName')->textInput(['maxlength' => true,'AutoComplete'=>'off']) ?>
    <?php // $form->field($model, 'PhoneNumber')->textInput(['maxlength' => true]) ?>
    <?= $form->field($model, 'Email')->textInput(['maxlength' => true,'AutoComplete'=>'off']) ?>
    <?= $form->field($model, 'Password')->passwordInput(['maxlength' => true,'AutoComplete'=>'off']) ?>    
    <?= $form->field($model, 'Role')->dropDownList(Users::getroletatuss(),['prompt'=>'Please Select Role']) ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
