<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use backend\models\OrdersUpload;
use yii\web\View;

/* @var $this yii\web\View */
/* @var $model app\models\OrdersUpload */

$this->title = 'Upload Orders';
$this->params['breadcrumbs'][] = ['label' => 'Orders', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="orders-upload">
	<div class="col-md-10">
		<h1><?= Html::encode($this->title) ?></h1>
		<div class="orders-form">
			<?php $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data']]) ?>

			<?= $form->field($model, 'csvFile')->fileInput() ?>

			<div class="form-group">
				<?= Html::submitButton('Upload', ['class' => 'btn btn-success']) ?>
			</div>

			<?php ActiveForm::end() ?>
		</div>
	</div>
</div>
